corda / net.corda.core.contracts.clauses / AllOf

# AllOf

`open class AllOf<S : ContractState, C : CommandData, K : Any> : CompositeClause<S, C, K>`

Compose a number of clauses, such that all of the clauses must run for verification to pass.

### Constructors

<init> | `AllOf(firstClause: Clause<S, C, K>, vararg remainingClauses: Clause<S, C, K>)` Compose a number of clauses, such that all of the clauses must run for verification to pass.

### Properties

clauses | `open val clauses: ArrayList<Clause<S, C, K>>` List of clauses under this composite clause

### Functions

matchedClauses | `open fun matchedClauses(commands: List<AuthenticatedObject<C>>): List<Clause<S, C, K>>` Determine which clauses are matched by the supplied commands.
toString | `open fun toString(): String`
verify | `open fun verify(tx: TransactionForContract, inputs: List<S>, outputs: List<S>, commands: List<AuthenticatedObject<C>>, groupingKey: K?): Set<C>` Verify the transaction matches the conditions from this clause. For example, a "no zero amount output" clause would check each of the output states that it applies to, looking for a zero amount, and throw IllegalStateException if any matched.

### Extension Functions

matches | `fun <C : CommandData> Clause<*, C, *>.matches(commands: List<AuthenticatedObject<C>>): Boolean` Determine if the given list of commands matches the required commands for a clause to trigger.

### Inheritors

AllComposition | `class AllComposition<S : ContractState, C : CommandData, K : Any> : AllOf<S, C, K>` Compose a number of clauses, such that all of the clauses must run for verification to pass.